Debian Bug report logs - #321435
Unrecoverable error: typecheck in .getdeviceparams on s390

version graph

Package: gs-gpl; Maintainer for gs-gpl is Debian Printing Team <debian-printing@lists.debian.org>;

Reported by: Peter Palfrader <weasel@debian.org>

Date: Fri, 5 Aug 2005 14:03:03 UTC

Severity: serious

Merged with 338707

Found in versions gs-gpl/8.15-2, gs-gpl/8.15-4

Fixed in version 8.15-4.1

Done: Daniel Kobras <kobras@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#321435; Package gs-gpl. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
New Bug report received and forwarded. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: submit@bugs.debian.org
Subject: Unrecoverable error: typecheck in .getdeviceparams on s390
Date: Fri, 5 Aug 2005 15:50:34 +0200
[Message part 1 (text/plain, inline)]
Package: gs-gpl
Version: 8.15-2
Severity: serious
Architecture: s390

Hi,

on s390 (but not on any other debian arch) the new version of gs-gpl
fails when converting a (specific) file with fig2dev:

| [sid] weasel@raptor:~/tor/tor-0.1.0.12/doc/design-paper$ fig2dev -L pdf cell-struct.fig cell-struct.pdf
| Unrecoverable error: typecheck in .getdeviceparams
| Operand stack:
|     false  --nostringval--  InputAttributes  --nostringval--  0  --nostringval--  PageSize  --nostringval--  -2048  --nostringval--  --nostringval--
| fig2dev: broken pipe (GhostScript aborted?)
| command was: gs -q -dNOPAUSE -sAutoRotatePages=None -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -sDEVICE=pdfwrite -sOutputFile=cell-struct.pdf - -c quit

The previous version (8.01-5) did not have this bug, it works without
problems.

I have attached the file in question.

It would be great if you could fix this quickly, since this regression
causes a FTBFS for tor FTBFS on s390 (and severity serious for that
matter).

-- 
 PGP signed and encrypted  |  .''`.  ** Debian GNU/Linux **
    messages preferred.    | : :' :      The  universal
                           | `. `'      Operating System
 http://www.palfrader.org/ |   `-    http://www.debian.org/
[cell-struct.fig (application/x-xfig, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#321435; Package gs-gpl. Full text and rfc822 format available.

Acknowledgement sent to Tore Anderson <tore@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #10 received at 321435@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: 321435@bugs.debian.org
Subject: Re: Unrecoverable error: typecheck in .getdeviceparams on s390
Date: Tue, 09 Aug 2005 08:32:29 +0200
  Just a quick note to say that this affects ScummVM also, see
 <http://buildd.debian.org/fetch.php?&pkg=scummvm&ver=0.7.1-2&arch=s390&stamp=1123187941&file=log&as=raw>.
 Hope that might be helpful in finding the bug.

Regards
-- 
Tore Anderson




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#321435; Package gs-gpl. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #15 received at 321435@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 321435@bugs.debian.org
Cc: control@bugs.debian.org
Subject: no longer RC
Date: Wed, 10 Aug 2005 01:36:54 +0200
severity 321435 important
thanks

A workaround has been added to tor so that it does not build those
images on s390, making it build again in sarge.  Therefore this bug no
longer is RC, and I downgrade it to important.

-- 
 PGP signed and encrypted  |  .''`.  ** Debian GNU/Linux **
    messages preferred.    | : :' :      The  universal
                           | `. `'      Operating System
 http://www.palfrader.org/ |   `-    http://www.debian.org/



Severity set to `important'. Request was from Peter Palfrader <weasel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Tore Anderson <tore@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Peter Palfrader <weasel@debian.org>:
Bug#321435. Full text and rfc822 format available.

Message #22 received at 321435-submitter@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: 321435-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: no longer RC
Date: Thu, 11 Aug 2005 09:23:23 +0200
severity 321435 serious
quit

* Peter Palfrader

> A workaround has been added to tor so that it does not build those
> images on s390, making it build again in sarge.  Therefore this bug no
> longer is RC, and I downgrade it to important.

  That won't help ScummVM from failing to build, I'm afraid.  Therefore
 I'm reinstating the RC severity this bug had originally.  I hope you
 don't mind me overruling you, Peter - if you wish I can claim ownership
 of the bug from now on.

Regards
-- 
Tore Anderson




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#321435; Package gs-gpl. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #27 received at 321435@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 321435@bugs.debian.org
Subject: quagga fails to build on s390 due to gs-gpl bug
Date: Thu, 3 Nov 2005 22:34:58 +0100
Hello

This bug affects my quagga package, too. Do you have a workaround?

bye,

-christian- 

On 2005-10-30 Bastian Blank wrote:
> On Fri, Oct 28, 2005 at 03:44:38PM +0200, Gerhard Tonn wrote:
> > Date: Fri, 28 Oct 2005 12:53:17 +0200
> > From: Christian Hammers <ch@debian.org>
> > To: s390@buildd.debian.org
> > Subject: quagga fails to build on s390 again (tetex bug?)
> > 
> > I have again a misterious build problem on s390:
> >  http://buildd.debian.org/fetch.php?&pkg=quagga&ver=0.99.1-7&arch=s390&stamp=1130456712&file=log&as=raw
> > 
> > 	epstopdf --outfile="fig-normal-processing.pdf"
> > 	fig-normal-processing.eps Unrecoverable error: typecheck in
> > 	.getdeviceparams Operand stack:
> > 	    false  --nostringval--  InputAttributes  --nostringval--  0
> > 	--nostringval--  PageSize  --nostringval--  -2048  --nostringval--
> > 	--nostringval--
> > 	make[1]: *** [fig-normal-processing.pdf] Broken pipe
> > 	make[1]: *** Deleting file `fig-normal-processing.pdf'
> > 
> > As I had similar things before that were solved by new tetex-bin and
> > libpng12-0 packages and a recompile and did not change any code between
> > -6 and -7, I think it might be the same problem.
> > 
> > See bug #322821 and the following mailing list entry for reference:
> >   http://lists.debian.org/debian-tetex-maint/2005/09/msg00161.html
> 
> Okay, the failing part is gs coming from gs-gpl.
> 
> I did some checks with recompiles of libpng and gs-gpl, nothing changed.
> Now I decided to try again with gcc-3.4. Rebuild of libpng does not
> change anything, rebuild of gs-gpl "fixed" the problem. Also it is
> "fixed" by a rebuild with -O0 of gs-gpl.
> 
> Because of this, I think it is some sort of undefined behaviour in the
> gs-gpl code or misscompilation.
> 
> I can't check for the problem, as gs-gpl decides to overwrite printf and
> fprintf in an C99 incompatible way, which is a C99 violation anyway.
> 
> Bastian
> 



Severity set to `important'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 321435 338707. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#321435; Package gs-gpl. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #36 received at 321435@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 321435@bugs.debian.org
Subject: #321435: Patch
Date: Thu, 29 Dec 2005 12:26:22 +0100
[Message part 1 (text/plain, inline)]
tags 321435 patch
thanks

Using gcc-3.4 is a workaround.

Bastian

-- 
Emotions are alien to me.  I'm a scientist.
		-- Spock, "This Side of Paradise", stardate 3417.3
[diff (text/plain, attachment)]

Severity set to `serious' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Kobras <kobras@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Palfrader <weasel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 321435-done@bugs.debian.org (full text, mbox):

From: Daniel Kobras <kobras@debian.org>
To: 321435-done@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>
Subject: Re: Unrecoverable error: typecheck in .getdeviceparams on s390
Date: Sun, 30 Jul 2006 20:55:30 +0200
Version: 8.15-4.1

This bug should have been closed long ago when Bastian Blank uploaded an
NMU to build gs-gpl with gcc-3.4 on s390, which was reported to serve as
a workaround. Doing so now, especially as the bug has recently become RC
again.

Regards,

Daniel.

P.S.: Bastian, can you please check whether current gcc-4.1 also fixes the bug?



Reply sent to Daniel Kobras <kobras@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 12:07:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:27:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.